Pré-processar CSV
curl --request POST \
--url https://api.nuvia.ai/v1/contacts/preprocess-csv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"csvRows": [
{}
],
"columnMapping": [
{
"csvColumn": "<string>",
"targetField": "<string>",
"isRequired": true
}
]
}
'import requests
url = "https://api.nuvia.ai/v1/contacts/preprocess-csv"
payload = {
"csvRows": [{}],
"columnMapping": [
{
"csvColumn": "<string>",
"targetField": "<string>",
"isRequired": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
csvRows: [{}],
columnMapping: [{csvColumn: '<string>', targetField: '<string>', isRequired: true}]
})
};
fetch('https://api.nuvia.ai/v1/contacts/preprocess-csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}contacts
Pré-processar CSV
Normaliza telefones (DDI, adiciona 9 para BR, etc) e busca contatos existentes. NÃO salva nada - apenas retorna dados processados para preview na tela de reconciliação.
POST
/
v1
/
contacts
/
preprocess-csv
Pré-processar CSV
Autorizações
Token JWT de autenticação
Cabeçalhos
Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.
Corpo
application/json
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Tipo da lista alvo (default: contact)
Opções disponíveis:
contact, business Mapeamento opcional de Business para vincular empresas aos contatos
Show child attributes
Show child attributes
Resposta
The response is of type object.
⌘I